# @gdquest/codemirror-gd-exercise-theme

## `gdExerciseThemeLight` and `gdExerciseThemeDark` themes

### Purpose

These are themes made for GDQuest GDExercise, made for light and dark color schemes.

### Usage

```javascript
import { basicSetup } from "codemirror";
import { EditorView } from "@codemirror/view";
import { javascript } from "@codemirror/lang-javascript";
import {
  gdExerciseThemeLight,
  gdExerciseThemeDark,
} from "@gdquest/codemirror-gd-exercise-theme";

new EditorView({
  extensions: [
    basicSetup,
    javascript(),
    // :: Choose which theme you prefer:
    // gdExerciseThemeLight,
    gdExerciseThemeDark,
  ],
});
```

## `gdExerciseHighlightStyleLight` and `gdExerciseHighlightStyleDark` highlight themes

### Purpose

These are highlight themes made for GDQuest GDExercise, made for light and dark color schemes.

### Usage

```javascript
import { basicSetup } from "codemirror";
import { EditorView } from "@codemirror/view";
import { javascript } from "@codemirror/lang-javascript";
import {
  gdExerciseHighlightStyleLight,
  gdExerciseHighlightStyleDark,
} from "@gdquest/codemirror-gd-exercise-theme";

new EditorView({
  extensions: [
    basicSetup,
    javascript(),
    // :: Choose which theme you prefer:
    // gdExerciseHighlightStyleLight,
    gdExerciseHighlightStyleDark,
  ],
});
```
