export declare const Highlighting: {
    readonly SYMBOL_COLOR: "#abc9ff";
    readonly KEYWORD_COLOR: "#ff7085";
    readonly CONTROL_FLOW_KEYWORD_COLOR: "#ff7085";
    readonly BASE_TYPE_COLOR: "#42ffc2";
    readonly ENGINE_TYPE_COLOR: "#8fffdb";
    readonly USER_TYPE_COLOR: "#c7ffed";
    readonly COMMENT_COLOR: "#cdcfd280";
    readonly STRING_COLOR: "#ffeda1";
    readonly BACKGROUND_COLOR: "#1d2229";
    readonly COMPLETION_BACKGROUND_COLOR: "#363d4a";
    readonly COMPLETION_SELECTED_COLOR: "#ffffff12";
    readonly COMPLETION_EXISTING_COLOR: "#ffffff24";
    readonly COMPLETION_SCROLL_COLOR: "#ffffff4a";
    readonly COMPLETION_SCROLL_HOVERED_COLOR: "#ffffff66";
    readonly COMPLETION_FONT_COLOR: "#cdcfd2";
    readonly TEXT_COLOR: "#cdcfd2";
    readonly LINE_NUMBER_COLOR: "#cdcfd280";
    readonly SAFE_LINE_NUMBER_COLOR: "#cdf8d2bf";
    readonly CARET_COLOR: "#ffffff";
    readonly CARET_BACKGROUND_COLOR: "#000000";
    readonly TEXT_SELECTED_COLOR: "#00000000";
    readonly SELECTION_COLOR: "#70bafa66";
    readonly BRACE_MISMATCH_COLOR: "#ff786b";
    readonly CURRENT_LINE_COLOR: "#ffffff12";
    readonly LINE_LENGTH_GUIDELINE_COLOR: "#363d4a";
    readonly WORD_HIGHLIGHTED_COLOR: "#ffffff12";
    readonly NUMBER_COLOR: "#a1ffe0";
    readonly FUNCTION_COLOR: "#57b3ff";
    readonly MEMBER_VARIABLE_COLOR: "#bce0ff";
    readonly MARK_COLOR: "#ff786b4d";
    readonly BOOKMARK_COLOR: "#147dfa";
    readonly BREAKPOINT_COLOR: "#ff786b";
    readonly EXECUTING_LINE_COLOR: "#fae345";
    readonly CODE_FOLDING_COLOR: "#ffffff45";
    readonly SEARCH_RESULT_COLOR: "#ffffff12";
    readonly SEARCH_RESULT_BORDER_COLOR: "#699ce861";
};
export declare const GdScript: {
    readonly FUNCTION_DEFINITION_COLOR: "#66e6ff";
    readonly GLOBAL_FUNCTION_COLOR: "#a3a3f5";
    readonly NODE_PATH_COLOR: "#b8c47d";
    readonly NODE_REFERENCE_COLOR: "#63c259";
    readonly ANNOTATION_COLOR: "#ffb373";
    readonly STRING_NAME_COLOR: "#ffc2a6";
};
export declare const CommentMarkers: {
    readonly CRITICAL_COLOR: "#c45959";
    readonly WARNING_COLOR: "#b89c7a";
    readonly NOTICE_COLOR: "#8fab82";
    readonly CRITICAL_LIST: readonly ["ALERT", "ATTENTION", "CAUTION", "CRITICAL", "DANGER", "SECURITY"];
    readonly WARNING_LIST: readonly ["BUG", "DEPRECATED", "FIXME", "HACK", "TASK", "TBD", "TODO", "WARNING"];
    readonly NOTICE_LIST: readonly ["INFO", "NOTE", "NOTICE", "TEST", "TESTING"];
};
//# sourceMappingURL=defaultGodot.d.mts.map